%define major		2
%define shortname	speechd
%define libname		%mklibname %{shortname} %{major}
%define devname		%mklibname %{shortname} -d

%define subrel		1

Name:		speech-dispatcher
Version:	0.8
Release:	%mkrel 14
Summary:	Speech Dispatcher provides a device independent layer for speech synthesis
Group:		System/Libraries
License:	GPLv2
URL:		http://www.freebsoft.org/speechd
Source0:	http://www.freebsoft.org/pub/projects/speechd/%{name}-%{version}.tar.gz
Patch0:		spd_audio-Expose-dlopened-library-symbols-to-libs-it-loads.patch
Patch1:		pico-generic.patch
# systemd unit from Fedora
Source1:	speech-dispatcher.service
Source2:	speech-dispatcher.logrotate
Source4:	speech-dispatcher-user-pulse.example
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(dotconf) >= 1.3
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libpulse-simple)
BuildRequires:	pkgconfig(sndfile) >= 1.0.2
BuildRequires:	python3-devel
BuildRequires:	libltdl-devel
BuildRequires:	libespeak-devel
BuildRequires:	flite-devel
BuildRequires:	intltool
BuildRequires:	texinfo
Recommends:	%{name}-conf

%description
This is the Speech Dispatcher project (speech-dispatcher). It is a part of the
Free(b)soft project, which is intended to allow blind and visually impaired
people to work with computer and Internet based on free software.

%post
%_install_info %{name}.info
%_install_info spd-say.info
%_install_info ssip.info
%_post_service speech-dispatcherd

%preun
%_remove_install_info %{name}.info
%_remove_install_info spd-say.info
%_remove_install_info ssip.info
%_preun_service speech-dispatcherd

%files -f %{name}.lang
%doc AUTHORS NEWS README TODO 
%doc ChangeLog speech-dispatcher-user-pulse.example
%{_bindir}/spd-say
%{_bindir}/spdsend
%{_bindir}/%{name}
%{_unitdir}/speech-dispatcherd.service
%config %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/speech-dispatcher/speechd.conf
%config(noreplace) %{_sysconfdir}/%{name}/clients/*.conf
%config(noreplace) %{_sysconfdir}/%{name}/modules/*.conf
%dir %{_sysconfdir}/%{name}
%{_libdir}/%{name}
%{_libdir}/%{name}-modules
%{_datadir}/sounds/%{name}
%{_infodir}/%{name}.info.*
%{_infodir}/spd-say.info.*
%{_infodir}/ssip.info.*
%{_logdir}/%{name}
%{_datadir}/%{name}

#--------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Conflicts:	%{name} < 0.7.1

%description -n	%{libname}
This package provides the shared libraries for Speech Dispatcher.

%files -n %{libname}
%doc COPYING ChangeLog
%{_libdir}/libspeechd.so.%{major}*

#--------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development files for %{name}.

%files -n %{devname}
%{_includedir}/speech-dispatcher
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc

#--------------------------------------------------------------------------

%package conf
Summary:	Configuration tool for Speech Dispatcher
Group:		System/Libraries
Conflicts:	%{name} < 0.8-3
Conflicts:	python3-speechd < 0.8-2
Requires:	python3-pyxdg
Requires:	%{name} >= %{version}

%description conf
This package contains spd-conf, a configuration tool for Speech
Dispatcher.

%files conf
%{_bindir}/spd-conf
%{python3_sitearch}/speechd_config

#--------------------------------------------------------------------------

%package -n python3-%{shortname}
Summary:	A Python library for communication with Speech Dispatcher
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n python3-%{shortname}
This package provides a Python library for communication 
with Speech Dispatcher.

%files -n python3-%{shortname}
%{python3_sitearch}/speechd

#--------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

cp -p %SOURCE4 .

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

# speech-dispatcher service
install -Dm 0644 %SOURCE1 %{buildroot}%{_unitdir}/speech-dispatcherd.service

# logrotate install
install -Dm 0644 %SOURCE2 %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# create the needed directory for logs
install -d -m 0755 %{buildroot}%{_logdir}/%{name}

# we don't wat these
find %{buildroot} -name "*.la" -delete

%find_lang %name


%changelog
* Tue Jan 05 2016 daviddavid <daviddavid> 0.8-14.1.mga5
+ Revision: 919909
- add patch1 to enable support for pico using generic module

* Wed Oct 15 2014 umeabot <umeabot> 0.8-14.mga5
+ Revision: 749417
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8-13.mga5
+ Revision: 730172
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-12.mga5
+ Revision: 689273
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 0.8-11.mga5
+ Revision: 629543
- Rebuild for new Python

* Sun Jan 05 2014 tmb <tmb> 0.8-10.mga4
+ Revision: 564812
- spd_audio: Expose dlopened library symbols to libs it loads

* Mon Dec 09 2013 colin <colin> 0.8-9.mga4
+ Revision: 556029
- Tidy systemd unit (don't use forking when not needed)

* Wed Nov 27 2013 colin <colin> 0.8-8.mga4
+ Revision: 553729
- Remove previous pkgconfig fix as seems better to patch affected packages.

* Wed Nov 27 2013 colin <colin> 0.8-7.mga4
+ Revision: 553723
- Fix pkgconfig includedir - should fix mumble build (at least)

* Sat Oct 19 2013 umeabot <umeabot> 0.8-6.mga4
+ Revision: 530180
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 fwang <fwang> 0.8-5.mga4
+ Revision: 456546
- fix pyxdg pkgname

* Sat Jul 20 2013 fwang <fwang> 0.8-4.mga4
+ Revision: 456470
- speech-dispatcher-cs does not exist any more

* Sat Jul 20 2013 fwang <fwang> 0.8-3.mga4
+ Revision: 456466
- real file move

* Sat Jul 20 2013 fwang <fwang> 0.8-2.mga4
+ Revision: 456462
- move sdp-conf out of main package

* Sun Jun 30 2013 fwang <fwang> 0.8-1.mga4
+ Revision: 448506
- update py3 dir
- update file list
- update file list
- update file list
- update file list
- br ltdl
- rename to python3 lib, as it only produces py3 flavour now
- simplify spec, we build default config from upstream
- new version 0.8

* Mon Jan 14 2013 umeabot <umeabot> 0.7.1-4.mga3
+ Revision: 382480
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 28 2012 tmb <tmb> 0.7.1-3.mga2
+ Revision: 233869
- Require rpm-helper >= 0.24.8-1 for systemd support

* Thu Jan 26 2012 fwang <fwang> 0.7.1-2.mga2
+ Revision: 201778
- correct br
- rebuild for new dotconf

* Wed Dec 21 2011 wally <wally> 0.7.1-1.mga2
+ Revision: 185545
- new version 0.7.1
- rediff P1, drop P0,P2 and P3
- add systemd support (from Fedora)
- drop sysvinit support
- move some libs from main pkg to lib pkg
- add python fix (from Mdv)
- clean .spec a bit

* Fri May 20 2011 mikala <mikala> 0.6.7-4.mga1
+ Revision: 99939
- Add back the configuration files in /usr/share/speed-dispatcher/conf
 since python-speechd is using them...

* Thu Jan 20 2011 ahmad <ahmad> 0.6.7-3.mga1
+ Revision: 25816
- imported package speech-dispatcher


* Wed Nov 18 2009 Jérôme Brenier <incubusss@mandriva.org> 0.6.7-3mdv2010.1
+ Revision: 467193
- fix build (getline conflict) : patch from debian

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.6.7-2mdv2009.1
+ Revision: 324152
- fix strfmt
- rebuild

* Tue Nov 11 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.6.7-1mdv2009.1
+ Revision: 302106
- import speech-dispatcher


